Tag&Rename 3.9.9

music organizer

Overview

Have you joined in the fun and excitement of downloading music files from the Internet? Have you collected hundreds of music files? If so, the big question is... How much of your precious time will you spend organizing those music files?

The answer is "very little time" with the award-winning file management tool, Tag&Rename.

Tag&Rename is a handy management utility designed for mp3, wma, ogg, mp4 (m4a, m4p) and many other music files. With Tag&Rename you can quickly and easily rename your music collection using the embedded tag data within music files, write new or edit existing tag information, create tags based on file names, get song information from the freedb server, tracktype.org or import it from the Discogs and Amazon. Tag&Rename supports all popular tag standards used by software and hardware players. This program is a very useful playlist editor with recursive subfolder support and a unique file list which show all your files in a real folder structure.

Tag&Rename is the only music organizer and tag editor which supports all popular file formats:

  • .mp3 - ID3v1, ID3v1.1, ID3v2.2, ID3v2.3 and ID3v2.4 tags
  • .wma, .asf and .wmv (Windows Media) - Windows Media tags
  • .m4a, .m4b, .m4r (Apple iTunes aac and lossless audio files), .m4p (protected files from Apple Music Store), .mp4 - iTunes tags
  • .ogg, .flac, .opus and .spx - Vorbis Comments
  • .mpc (MusePack), .ape (Monkey's Audio), .ofr (Optim Frog), .wv (Wav Pack) and .tta (True Audio) - APEv1 and APEv2 tags
  • .wav – ID3v2 tag in 'id3 ' RIFF chunk and LIST INFO chunk
  • .dsf (DSD/Direct-Stream Digital) - ID3v2.3 tag
  • Tag&Rename provides full support for the following tag frames in all supported music formats: Artist, Album, Title, Year, Genre, Comment, Composer, Original Artist, Copyright, URL, Encoded by, Track #, Disc #, Rating, Mood, BPM, Part of a compilation, Cover art, Lyrics, Album Artist, Conductor, Lyricist, Original Lyricist, Label, Remixed by, Radio station name, Audio file information web page, Artist web page, Audio source web page, Radio station web page, Buy CD web page, ISRC #, Catalog #, Grouping, Subtitle, Release Time, Podcast, Podcast Category, Podcast Description, Podcast ID, Podcast URL, Video Kind, Show Title, Episode ID, Season Number, Episode Number, InitialKey.

Key features:

  • Rename music files according to tag information: Easily rename files using templates individually or whole directories at a time, preview changes before renaming or undo the last renaming process, rename the folder (including subfolders) containing your music files, and manually edit files and folders names.
  • Multi-file or manual tag editors: Edit tags for multiple or single files, add cover art to all album files with a few clicks, and fill in tag fields using the file name.
  • Freedb support: Get tag information for full music albums automatically in seconds using the freedb Internet server.
  • Amazon/Discogs/tracktype.org support: Search and import album information and cover art from the Amazon, discogs.com or tracktype.org servers to file tags.
  • Text case conversion functions: Convert case or capitalize the first letter of each word within file names or tags.
  • Tags synchronization wizard: Synchronize between ID3v1 and ID3v2 tag data.
  • Export wizard: Export your music information into any format - csv, xml, html and tab delimited text.
  • Full Unicode support
  • Rename music files folder: Rename according to tag information.
  • Full support for file drag and drop: Drag and drop file just like in Windows Explorer.
  • M3u play lists: Create m3u playlists (or m3u8 UT8 encoded Unicode playlists) using the unique Quick Save Playlist feature.
  • Play music files: Listen to your music files using your favorite music player.
  • Windows Explorer shell extensions: Add Tag&Rename to the context menu of MS Explorer so that you can access it faster (right-click mouse) from the MS File Manager.

Tag&Rename is very easy to use and highly configurable. In addition, it has helpful notes and descriptions of menu commands built into the interface to help speed up your understanding and use of the program.

© Softpointer Inc 1999 - 2016.


What's new in this version?

Tag&Rename v3.9.9 (02/11/2016):

  • minor improvement in ID3v2.3 support
  • updated Italian translation
  • minor fixes

Tag&Rename v3.9.8 (07/07/2016):

  • added Korean translation
  • updated Estonian translation
  • fixed minor bug in ID3v2 cover art support
  • minor improvement in Vorbis Comments and APE tags support

Tag&Rename v3.9.7 (02/06/2016):

  • fixed bug in ID3v2.4 Unicode tags support
  • fixed bug in files filtering
  • minor fixes

Tag&Rename v3.9.6 (19/05/2016):

  • "Add Folder Cover Art to Files Tag" function now check for folder.png file if folder.jpg does not exists
  • improved ID3v2 support
  • improved mp4 support
  • improved aiff support

Tag&Rename v3.9.5 (15/03/2016):

  • updated Discogs support

Tag&Rename v3.9.4 (09/03/2016):

  • added "Save ID3 tag chunk as a last chunk in a Wav file" option in Advansed options
  • added support for PCM float uncompressed wav files properties
  • files searching and tags reading progress now visible on task bar button
  • minor fixes

Tag&Rename v3.9.3 (08/12/2015):

  • Cover Size, Cover Dimensions and Cover Format added to Tag&Rename export options
  • added "Auto Fit File List Columns after Changing Folder" option into View menu
  • German translation updated
  • fixed bug in mp4 files support
  • minor fixes

Tag&Rename v3.9.2 (02/12/2015):

  • added support for Xtra atom in mp4 files (this atom used by Windows Explorer and Windows Media Player)
  • Czech translation updated
  • added "Remove Leading and Trailing Spaces from All Tag Fields" functions to main menu -> Tools
  • minor fixes

Tag&Rename v3.9.1 (11/07/2015):

  • added Brazilian Portuguese translation
  • Chinese Simplified, Italian translation updated
  • added support for Windows Explorer "Hide empty drives" option
  • fixed bug in ID3v2 multiple cover arts in tag support
  • fixed bug in proxy server authorization
  • minor changes in WAV tagging
  • minor fixes

Tag&Rename v3.9 (28/04/2015):

  • Estonian and German interface translations updated
  • added Favorites button to "Export/Import Tags" window's "Export file name" field
  • Bit depth value added to data export
  • minor fixes

Tag&Rename v3.9 rc 1 (24/04/2015):

  • minor fixes

Tag&Rename v3.9 beta 5 (21/04/2015):

  • improved work of "Trim Year frame if it is contain timestamp (i.e. yyyy-MM-ddTHH:mm:ss) instead of year" option
  • fixed bugs when renaming and working with files on network shares
  • minor fixes

Tag&Rename v3.9 beta 4 (06/04/2015):

  • fixed bug in direct files renaming in files list when files located over network
  • minor fixes

Tag&Rename v3.9 beta 3 (27/03/2015):

  • added "Tags cover art resizing" options to program options -> Tags
  • added "Set This Image as a Folder Cover Art" button to "Folder cover art" panel (visible only when "Show first existing image in "Folder cover art" if folder.jpg does not exists" enabled and current image file is not a folder.jpg)
  • added "Save Discogs Catalog #" check box to web import Album Information window, so Discogs Catalog # can now saved to files tags
  • "Resize Files Cover Art" and "Resize Folders Cover Art" functions can be now added to toolbars via options -> Customize Toolbars and Shortcuts
  • Compilation column in files list now use graphics instead of "*" text
  • added "Don't add leading zero when autofilling track #" option to Tag&Rename options -> Advanced -> Misc
  • fixed minor bug in Amazon web import

Tag&Rename v3.9 beta 2 (21/03/2015):

  • added "Always remove leading zero from disc # value when renaming files and folders" option to Tag&Rename options -> Advanced -> Misc
  • fixed bug in ID3v2 tag removing from mp3 files

Tag&Rename v3.9 beta 1 (19/03/2015):

  • added Opus files support
  • added bit depth, cover art size, cover art dimensions, cover art format and tag version files list columns
  • added "Resize Files Cover Art" and "Resize Folders Cover Art" function to "Tools" menu
  • added "Delete folder cover art" button to "Folder cover art" panel
  • added "Set tag image as folder cover art" button to "File cover art" panel
  • added "Delete Folder Cover Art from All Selected Folders" function to "Tools" menu
  • added "Retry" button to tag saving error message, so it is now possible to retry tag saving if file is locked by other application
  • added Sampling Rate, Bit Depth and Encoder files and folders rename variables
  • added "Random Sort Order" option to main menu -> View
  • cover art search URL in Tag Editor and CDDB/Web Import now can be customized in program options -> Web Import -> Cover art search URL
  • added "EXTINF mask" option to Program Options -> Playlists
  • added Season Number and Episode Number to Copy/Swap Tag Fields functions
  • File Rename Strings options now also used in quick playlists and web imported covers saving
  • fixed bug in flac support when flac file is not reduced even with very big padding
  • minor fixes

Tag&Rename v3.8.7 (05/03/2015):

  • added "Auto Fit File List Columns" function into main menu -> View
  • improved behaviour of the "Part of a compilation" and "Podcast" check boxes in multi files tag editor
  • fixed cover images loading from Discogs
  • fixed bug in saving windows position

Tag&Rename v3.8.6 (06/02/2015):

  • added Czech translation
  • added support for DSD256
  • fixed bug in big wav files support
  • fixed bug in mp4 files support
  • minor fixes and improvements

Tag&Rename v3.8.5 (23/12/2014):

  • now double click on folder and file cover image in main window open this image in system default application
  • added Italian translation
  • updated Estonian translation
  • fixed bug in File Rename Strings saving
  • improved mp4 support

Tag&Rename v3.8.4 (24/11/2014):

  • added "Format "The Artist" to "Artist, The"" and "Format "Artist, The" to "The Artist"" functions in Tools -> Artist Field Tools
  • added "Exchange "Copyright" with "Album Artist" tag fields in tag editor" option in Advanced options
  • added support for TRACKTOTAL and DISCTOTAL tag frames in Vorbis Comments (ogg/flac) tags
  • added Subtitle support into "Swap/Copy Tag Fields" functions
  • improved Discogs authorization
  • fixed problem with network folders access
  • minor fixes

Tag&Rename v3.8.3 (22/10/2014):

  • added Discogs OAuth authorization support
  • added Chinese Simplified and Polish interface translations
  • added "Clear Selected" button into Multi Files Tag Editor
  • fixed bug in freedb import, so freedb.musicbrainz.org servers data can be imported correctly
  • improved "Auto fill track #" function when numbering thousands of files
  • minor fixes

Tag&Rename v3.8.2 (04/09/2014):

  • added French translation
  • mouse wheel support improved
  • in export function File Name added as a variable
  • fixed minor bug in Discogs import
  • minor fixes

Tag&Rename v3.8.1 (01/07/2014):

  • fixed bug in second sort column files list sorting
  • fixed bug when rename actions short cuts was not saved
  • minor fixes

Tag&Rename v3.8 (09/06/2014):

  • added Dutch interface translation
  • minor fixes

Tag&Rename v3.8 rc 2 (04/06/2014):

  • tab-separated text format export added back
  • improved "Genres list editor"
  • improved mp4 support
  • minor fixes

Tag&Rename v3.8 rc 1 (17/05/2014):

  • added German and Estonian interface translations
  • added support for .M4R files extension
  • DSF files properties now show DSD64 or DSD128 instead of Hz
  • improved mp4 support
  • minor fixes

Tag&Rename v3.8 beta 3 (09/04/2014):

  • fixed bug in program files list when it is in "Hide files extension" mode
  • minor improvements
  • minor fixes

Tag&Rename v3.8 beta 2 (25/02/2014):

  • added Indonesian, Spanish and Hungarian interface translations
  • added "Search for cover art" button in tag editor window
  • minor improvements
  • minor fixes

Tag&Rename v3.8 beta 1 (11/02/2014):

  • now Tag&Rename interface can be translated
  • added "Favorites" menu in "Folders" bar
  • added xlsx files support in export/import
  • added "Always copy "Artist" data into "Album Artist" tag field" option in Tags option
  • added "Hide files extension" option in Files list options
  • added "Always reset check boxes in multi files tag editor window" option in Advanced options
  • added option to "Overwrite existing cover art" into "Add "folder.jpg" to Files Tag" function
  • added option to "Overwrite existing folder.jpg" into "Extract "folder.jpg" from Files Tag" function
  • now Tag&Rename can show warning message if it have files in files list with name longer than 259 characters
  • fixed bug in "File Rename Strings"
  • improved wav support
  • improved dsf support
  • improved aiff support
  • a lot of improvements and tweaks
  • minor fixes

Tag&Rename v3.7.5 beta 1 (15/10/2013):

  • re-added xml export
  • export fields can be selected in in csv and xml export now
  • added files rename variables for Initial Key, Show Title, Episode ID, Season Number and Episode Number
  • added "Play" button into "Tag Editor" window
  • added "Show icons instead of text in Lyrics files list column" option in Advanced options
  • added "Map APE/OGG "Album Artist" tag frame to "ALBUMARTIST" instead of "ALBUM ARTIST"" option in Advanced options
  • added "On saving Wav tag" option in Advanced options
  • added "Properties" menu item into files list file menu
  • DSF files added to Tag&Rename shell extensions
  • added %khz - sampling rate variable in folder renaming
  • added "Hide Selected Files" button in filter toolbar
  • improved flac support
  • minor improvements

Tag&Rename v3.7 (10/07/2013):

  • minor improvements

Tag&Rename v3.7 rc 1 (05/07/2013):

  • added CSV and HTML export
  • added "Show icons instead of text in Comment files list column" option in advanced program options
  • added "Save path when adding cover art in Tag Editor" option in advanced program options
  • added %rnd (random number) rename variable
  • improved mp4 support
  • fixed bug in aiff bitrate calculation
  • fixed bug when program may freeze on Amazon import
  • minor fixes
  • help file updated

Tag&Rename v3.7 beta 6 (04/06/2013):

  • added support for DSF (Direct-Stream Digital) files
  • web search for cover art re-added in freedb import window
  • Tag&Rename now show working folder in it window caption
  • minor fixes

Tag&Rename v3.7 beta 5 (15/05/2013):

  • added "Date Modified" and "Date Created" file list column
  • added "Override OS font size" option
  • improved "Auto Fill Track #" function
  • "Lyrics" column in files list now show icon if lyrics exists in file
  • fixed bug in aiff files support
  • improved wav support
  • minor fixes

Tag&Rename v3.7 beta 4 (30/04/2013):

  • Shell extension menu now support selection group of files/folders
  • Tag Editor window width made resizable now
  • any file list column now can be used as a "filter"
  • fixed bug in wma/asf support on some systems
  • minor fixes

Tag&Rename v3.7 beta 3 (13/04/2013):

  • added "Show first existing image in "Folder cover art" if folder.jpg does not exists" option in Advanced options
  • added support for none jpeg tag cover art in "Extract "folder.jpg" from Files Tag" function
  • added "Full row select in files list" option in Advanced options
  • fixed bug in Amazon web import
  • minor fixes
  • added "Import Tag&Rename settings from the previous versions" in program installation

Tag&Rename v3.7 beta 2 (02/04/2013):

  • added "Sort by Modified Time" files list sorting option
  • improved mp4 support
  • fixed bug in "File Rename Strings" program options
  • minor fixes

Tag&Rename v3.7 beta 1 (27/03/2013):

  • added support for Initial Key and Sorting (Title, Artist, Album Artist, Album, Composer, Show) tag frames
  • changed export function, now you can export and import tag information to/from xls files
  • added "Trim Year frame if it is contain timestamp" option in Advanced options
  • added "Allow to add ID3 tags to .mpg files" option in Advanced options
  • added "Map APE/OGG "Label" tag frame to "LABEL" instead of "ORGANIZATION"" option in Advanced options
  • added "Rewrite file if it tag padding size is more than maximum limit" option in Tags options
  • multi language interface was temporally removed, it will be added back after final release
  • this version save it settings differently, so it can't read it's from previous versions
  • rewritten shell extension
  • a lot of internal changes
  • a lot of minor fixes

Tag&Rename v3.6.6 (14/02/2013)

  • speedup wav tags editing
  • improved mp4 support
  • minor fixes

Tag&Rename v3.6.5 (22/01/2013)

  • minor fixes

Tag&Rename v3.6.5 beta 1 (10/01/2013)

  • Amazon web import re added
  • added support for LIST INFO wav files tag
  • in General options added "Override OS font size" option
  • minor fixes

Tag&Rename v3.6.1 (30/07/2012)

  • fixed bug in small mp4 files support
  • fixed bug in WMP Rating mp3 tag frame
  • improved cover art support in mp4 files
  • fixed bug with system font size
  • improved support for files bigger than 2GB
  • fixed bug in wav tagging
  • Label tag field in APE/OGG tags now mapped to ORGANIZATION
  • minor fixes

Tag&Rename v3.6 (24/05/2012)

  • added cover art dimentions column in Discogs import results
  • drag and drop images from Google Chrome to Tag&Rename now supported
  • improved mp4 support
  • minor fixes

Tag&Rename v3.6 beta 1 (17/05/2012)

  • added support for Discogs database import via Discogs API v2.0
  • removed Amazon import - Amazon will discontinue it's PA-API (it was used by Tag&Rename) on May 30 2012
  • minor fixes

Tag&Rename v3.5.7 (15/11/2010):

  • added online "Search for cover art" function in web import and freedb import
  • added ability to use users own Amazon access keys
  • minor fixes in APEv2 support
  • minor fixes

Tag&Rename v3.5.6 (13/05/2010):

  • improved mp4 container support
  • fixed problem with some antivirus software
  • fixed bug in play lists creation
  • minor improvements

Tag&Rename v3.5.5 (06/02/2010):

  • added support for Apple AIFF files
  • improved mp4 files support
  • improved cover art drag and drop support
  • minor improvements in ID3v2 support

Tag&Rename v3.5.4 (17/11/2009):

  • added support for mp4 files with 64bit sized mdat atom
  • %aa (album artist) variable can now be used in quick save palylist masks
  • minor fixes

Tag&Rename v3.5.3 (14/09/2009):

  • fixed bug in Amazon import
  • minor fixes

Tag&Rename v3.5.2 (11/08/2009):

  • added full support for cover art in png files
  • added support for new cover standard in ogg/speex files (METADATA_BLOCK_PICTURE) you can force Tag&Rename to save cover art in this standard by checking "Use new cover art standard for ogg/speex files" option in "Advanced" settings
  • if flac tag don't contain cover front picture but include some other picture, Tag&Rename now will show it as cover
  • in Amazon search window you can start searching by clicking the relevant amazon button
  • improved Amazon support
  • improved files sorting in music files list
  • now if file with some name already exists, Tag&Rename can add a number to the name of the file and then rename it
  • if some files was not renamed while rename operation, Tag&Rename now can select only this files in file list
  • Podcast description, show title and episode ID fields added to copy/swap tag fields functions

Tag&Rename v3.5.1 (13/03/2009):

  • added "Auto Fill Episode #" function
  • added Tools functions: "Remove Leading "The" from Artist Field", "Format Artist Field from "Name Surname" to "Surname, Name"" and "Format Artist Field from "Surname, Name" to "Name Surname""
  • improved ID3v2.4 support
  • minor bugs fixed

Tag&Rename v3.5 (25/02/2009):

  • minor bugs fixed

Tag&Rename v3.5 rc 3 (18/02/2009):

  • fixed bug in mp4 parser
  • minor bugs fixed

Tag&Rename v3.5 rc 2 (13/02/2009):

  • added "Use check boxes to select files" option (improved check box files selection function)
  • added "Don't show splash screen on program startup" in advanced options
  • added "Use Vista style files selection in files list" in advanced options
  • added support of big sized cover art in wma/asf files
  • improved Album Artist tag frame support in ogg, flac and ape files
  • improved writing speed of wma/asf files
  • "Part of a compilation" data can be exported to cvs/xml now
  • minor interface improvements
  • fixed minor bug in shell extension
  • fixed bug in wav tags writing
  • minor bugs fixed

Tag&Rename v3.5 rc 1 (21/10/2008):

  • added "Replace spaces with underscores" option in rename actions
  • "Lyricist" and "File Extension" columns added to main files list
  • in Amazon import added support for song titles in "Title - Orig. Artist" format
  • speedup reading files information
  • improved drag&drop support
  • improved mp4 files parser
  • minor bugs fixed

Tag&Rename v3.5 beta 5 (30/08/2008):

  • added option: "Set "Album Artist" to "Various Artists" when "Part of a compilation" checked"
  • "Add "folder.jpg" to Files Tag" and "Extract "folder.jpg" from Files Tag" can be moved to toolbars now
  • minor improvements
  • minor bugs fixed

Tag&Rename v3.5 beta 4 (20/08/2008):

  • folders in file list now also sorted according to sort column
  • new columns add to main files list: Grouping, Subtitle, Release Time
  • minor bugs fixed

Tag&Rename v3.5 beta 3 (18/08/2008):

  • added new tags frames support: Grouping, Subtitle, Release Time, Podcast, Podcast Category, Podcast Description, Podcast ID, Podcast URL, Music/Video Kind, Show Title, Episode ID, Season Number, Episode Number
  • added Lyricist, Mood, Label and Remixed by variables in rename/file name to tag functions
  • minor bugs fixed
  • fixed bug in 32 bit shell extension

Tag&Rename v3.5 beta 2 (08/08/2008):

  • minor bugs fixed

Tag&Rename v3.5 beta 1 (06/08/2008):

  • music files reading speed improved in many times
  • many speed improvements
  • main window toolbars redesigned
  • tolbars and shortcuts can be customized now
  • full Windows Vista support including program dialogs, messages, etc.
  • groups of files/titles in Amazon "Album Information" window can be moved/dragged now
  • improved drag and drop operations in main files list
  • shell extion now work in 64 bit OS
  • cover art can be drag and droped from Firefox 3 window
  • a lot of changes and fixes

Tag&Rename v3.4.6 (19/02/2008):

  • fixed bug with mp4 files parsing

Tag&Rename v3.4.5 (07/02/2008):

  • album titles now alphabetically sorted in freedb "Get Album Song" window
  • changed "Folder cover art" behavior - now it show folder cover art for file or folder selected in program files list
  • a lot of minor fixes

Tag&Rename v3.4 (12/05/2007):

  • minor bugs fixed

Tag&Rename v3.4 beta 2 (10/24/2007):

  • Tag&Rename can work in portable mode now (portable option in installation)
  • some bugs fixed

Tag&Rename v3.4 beta 1 (10/04/2007):

  • "Rename Actions" added: now both album files and folders can be renamed in one click
  • added ability to import album information from TrackType.org server
  • "Show ID3v1/ID3v2 tag is not present indicator" file list option added
  • minor improvements in ID3v2.4 support

Tag&Rename v3.3.5 (03/22/2007):

  • Tag&Rename "Filters" now use MS-DOS wild cards, i.e. you can use masks like: "*some text*", "?? text*", etc.
  • now you can change files rating from files list with one mouse click
  • "Open with Tag&Rename" Explorer shell extension now correctly open folders with Unicode characters in names
  • "Replace spaces with underscores" and "Replace underscores with spaces" options was added back
  • added "Rating" field in "Filter" function
  • added "Channels" option into "Export Wizard"
  • fixed not worked web import in some systems
  • fixed bug when Tag&Rename write incorrect flags into APEv2 tag header and footer
  • fixes in ID3v2 tags reading

Tag&Rename v3.3 rc 1 (12/10/2006):

  • added butch functions to work with folder.jpg files
  • now Tag&Rename save Mood frame in ID3v2 tags compatible with Windows Media Player
  • fixed bug in APEv2 tag wring (incorrect tag size in tag header)
  • some minor fixes

Tag&Rename v3.3 rc 1 (12/10/2006):

  • fixed "EOut of system resources." bug on some systems
  • many minor fixes

Tag&Rename v3.3 beta 2 (12/02/2006):

  • added support for cover art in flac files (PICTURE METADATA BLOCK)
  • added support for cover art in ogg and speex files (base64 encoded)
  • added "Composer" field in filters
  • added .m4v files extension support
  • while renaming music files Tag&Rename now also rename .cdg files with similar to music files names
  • now Tag&Rename write mp3 and wma rating compatible with Windows Media Player (if in WMP enabled option "Maintain my star rating as global ratings in the media file")
  • added support for "Remixed by" tag field
  • added support for .m3u8 play lists - Unicode UTF8 encoded
  • added many auto update ID3v1 tag settings in program options -> "Advanced"
  • added "DJ style tag editor" option - show "Label" and "Remixed by" fields in main tag editor tab)
  • added check for update function
  • initial Windows Vista support
  • fixed bug in m4a tags reading (some genres reading)
  • fixed incompatibility problem with NVIDIA nView
  • a lot changes in program files list
  • many minor fixes and improvements

Tag&Rename v3.3 beta 1 (09/29/2006):

  • added wav files support (MUSICMATCH Jukebox style - ID3v2 tag added to 'id3 ' wav chunk)
  • it is possible to select now what information need to be saved from freedb
  • now Tag&Rename status bar show size of selected files in program files list
  • improved ID3v2.4 tags support (can correctly read any kind of 2.4 tags now)
  • added full read support for ID3v2.4 UTF8 encoded tags
  • Album Artist field in mp4 tag now compatible with iTunes 7
  • Winamp control now work with latest Winamp versions
  • removed additional PCDJ frames support
  • fixed bug with "Quick Save Playlist" function handling playlist name masks containing "../"
  • added "Compilation" column into file list

Tag&Rename v3.2.5 rc 1 (04/10/2006):

  • added support for cover art in APE tags
  • rename file/folder window (F6 shortcut) added back
  • fixed problem with some mp4 video files (old Tag&Rename versions may corrupt video in this files after editing tags)
  • a lot of minor fixes and optimizations

For full program history see the Whatsnew.txt file in the Tag&Rename folder.


Renaming files

With Tag&Rename you can quickly and easily rename your music files according to their tag information. It’s as simple as 1-2-3! Just open the folder containing files to rename, configure the rename options and click the Rename button.

To open a folder containing your music files, select it in the Tag&Rename folders tree. Now you are ready to begin renaming your favorite music files!

Note: The following functions are driven by pre-existing tag information. If files do not contain tag data, you cannot rename them with the Rename file option. Instead, you may use the Filename to tag option to generate tag data based on the file name. (See How to get tags from file name for more information.) Otherwise, you may manually enter the ID3 tag information using the multi-file or manual ID3 tag editor, using freedb, or Get album title from the Web, if you have the full album.

Rename files options:

Tag&Rename Rename Files tab.

File name mask - This is the main rename option where you may fully configure filenames using variables and/or any text. For example, if you key in the %1 - %3 - %2 variables (in that order) in the "File rename mask" box, it will produce filenames with "Artist - Album - Title.mp3". You will find the following Rename variables listed on the user interface for your convenience:

Rename variables
%1 | Artist
%2 | Title
%3 | Album
%4 | Year
%5 | Genre
%6 | Track #
%7 | File name
%8 | File number
%9 | Comment
%0 | Bitrate
%t | Play time
%b | BPM
%cp | Composer
%aa | Album Artist
%co | Conductor
%# | Disc #
%rt | Release Time
%md | Mood
%lb | Label
%rb | Remixed by
%key | Initial Key
%swt | Show Title
%eid | Episode ID
%snr | Season number
%enr | Episode number
%rnd | Random number

Note: For easy typing your rename mask (variables), you may use the Mask Editor. Click the button next to the file name mask list to open it. With the Mask Editor you can easily create, preview and save your masks for future use.

Result preview – Here you can see real time preview results of the rename mask you defined.
Replace spaces by underscores – Check this box to generate file names like "Artist_-_Title.mp3".
Case – Checking this box enables the UPPERCASE, lowercase, Capitalize First Letter (of each word) or Capitalize first word functions.

Note: Keep in mind that you may substitute variables for any text you choose. If you want to create a folder structure, you may use "\" in the rename mask as in the example below:

Rename mask: | %1 - %2\%8 %2
Result: | c:\mp3\Artist - Album\01 Title.mp3
 | c:\mp3\Artist - Album\02 Title.mp3

Rename files buttons:

Test – Allows you to preview file name changes in a "before & after" split window before committing to the rename process.
Rename – Will rename selected files according to the selected options.
Undo – Will undo the last renaming process.


Editing tags

There are two ways to edit tags: manually file by file or multi-file.

To edit a tag manually, double-click a file in the file list and edit the tag in the pop-up window. The pop-up window shows file information (bitrate, play time, etc.) and allows you to perform the following commands:

  • Save changes of selected files
  • Cancel command
  • Remove tag from selected file
  • Save changes to selected file and edit next or previous file

Tag&Rename Manual Tag Editor window.

Under the Multi File Tag Editor (Ctrl+F4) tab you can easily write, create or remove tags from selected files. Click on the white boxes (to the left of the tag field names) that you want to edit, fill-in the appropriate information and click the Save Tags button. You may also enable one of the case functions, which will convert all tag fields to your case preference.

Tag&Rename Multi File Tag Editor options tab.

Note: To edit all additional supported tag fields in selected files, click on the Edit All Supported Tag Fields button in the Multi File Tag Editor (Ctrl+F4) or use the Ctrl+F5 hotkey.

Tag&Rename All Supported Tag Fields in the Multi File Tag Editor.

Multi File Tag Editor buttons:

Save Tags – Save changes to selected files.
Remove Tags – Remove tag information from selected files. (This operation cannot be undone.)
Copy from Focused File – Click this button to copy tag information from the file with the focus to Multi File Tag Editor fields.
Edit All Supported Tag Fields – Edit all tag fields supported by Tag&Rename.


How to get tags from file names

If you have files without tags, you can get them from file names containing information about the artist, title, etc. Under the Get Tags from File Name (Shift+F4) tab, configure the file name to the tag options and click the Write Tags button.

File name to tag options:

Tag&Rename get tags from file name options tab.

File name mask - In this field you must provide the file mask variables. For instance, if your files are similar to the below examples..
01 Artist - Title.mp3
02 Artist - Title.mp3
03 Artist - Title.mp3
You may want to type in this file name mask: %6 %1 - %2

File name to tag variables
%1 | Artist
%2 | Title
%3 | Album
%4 | Year
%5 | Genre
%6 | Track #
%9 | Comment
%b | BPM
%cp | Composer
%aa | Album Artist
%co | Conductor
%# | Disc #
%rt | Release Time
%md | Mood
%lb | Label
%rb | Remixed by
%key | Initial Key
%swt | Show Title
%eid | Episode ID
%snr | Season number
%enr | Episode number
%d | Skip part of the file name

Note: If the folder name contains some track information, you may use the "\" symbol in the file name mask. For example, if your files are located in a folder with an "Artist - Album" name, you may use this file name mask: %1 - %3\%2

Replace underscores with spaces – Check this box to convert underscores to spaces.
Case – Enables case functions from which you may select one.

Get tags from file names buttons:

Preview – Allows you to preview tag changes before committing to the write tags process.
Write Tags – Click to write the tags of selected files.


How to get album information from freedb

If you have full albums as music files without tags and you know in which order the tracks appear on the original CD, you may use the freedb functions. You must connect to the Internet for this function to work properly.

  1. Select (or check if the Use check boxes to select files is enabled) files from a single album only.
  2. Sort selected files in the order they appear on the CD using the Move file up and Move file down functions, hotkeys (Alt + Up, Alt + Down), or drag and drop. (You can also use the Sort by file creation time function in the View menu.)

    3. Tag&Rename file list with selected files from one album.

  3. Click Get album titles from freedb.
  4. If Tag&Rename finds the album (usually in a manner of seconds), the album(s) information should appear in the Get Album Songs window. Now you need to select an album in that window (1) and click the Get Titles button (2). This will load the selected album track titles so they appear in the Songs titles window. If they do, click the Write Tags button (3) to transfer and save information to the files tag.
  5. Additionally you can add cover art to album before saving tags: press Search for cover art button (4) - this will open your internet browser with related search. After you found good cover art, simple drag and drop it into area (5). Note that drag and drop from MS Internet Explorer may not work directly, you need to drag and drop file from Internet Explorer to Windows Desctop and then drag and drop created file into Tag&Rename area (5).

Album titles loaded from freedb.

Note: Should information only appear in the top window, click on the information and then click the Get Titles button. Now, click the Write Tags button once the song titles appear.

Note: The freedb uses a CD's original song order and track time as two parameters (among others) to retrieve song information. Tag&Rename attempts to emulate these parameters to get the song information from the freedb server. If ANY changes were made to the leading or trailing silence of MP3 track times with a MP3 sound editor for example, then the album CANNOT be found using freedb.

Note: you can also setup what rename actions must be applied after album information will be written to tags. See also Using rename actions chapter.

Tip: If every full album is stored in it's own folder, then you may use Get folder album titles from freedb function in file list folders popup menu. This will save a lot of time. (Don't forget to enable Search subfolders option in the Main Menu -> View)

Tag&Rename file list with folder popup menu.

Keep in mind that freedb will only retrieve the album, artist, song and track number information.

Tip: If you do not know the song order of an album, you may use Get album information from the web.


How to get album information from the Web

If you have full albums without tags and you know the album title and author, you can use Amazon, Discogs or TrackType.org to get the tag information you need.

  1. Select files from one album. (1)
  2. Click Get album titles from the Web (2).

    3. Tag&Rename file list with selected files from one album.

  3. In the window that opens, fill in the Artist, Album and Year fields (1) (if not filled automatically), and select Amazon, Discogs or TrackType.org or press Search button (2) to start searching.

    4. Note: You can check Search only master releases on Discogs option to remove duplicates from Discogs search results.

    Load Album Titles from the Web window.

  4. After Tag&Rename has found the albums you requested, select an album from the list (1) and click the Load Album! button (2). When searching Discogs and TrackType.org you can also use Load tracks info - all albums and Load tracks info for album functions to load and preview detailed tracks and albums information before importing it.

    5. Load Album Titles from the Web window with search results.

  5. Sort files and titles using the move file Up and move file Down functions or drag and drop.
  6. Select the information you want to save.
  7. Click the Write Tags button.

    8. Album Information window with loaded albums.


Tags synchronization wizard

With the Tags Synchronization Wizard, you can synchronize mp3 file information between ID3v1 and ID3v2 tags.

To synchronize tag information:

Tags synchronization Wizard window.

  1. Select files that you want to update.
  2. Click the Tags Synchronization Wizard button in the Tag&Rename toolbar.
  3. Choose wizard options and click the Go button.

Tags Synchronization Wizard options:

Wizard mode – Select the tag type that contains the correct information and which tag you want to update.
If tag already exists – Choose the option you prefer if an updated tag already exists in the file.
Case – Check the Case box if you want to use case options.


Export/Import tags

With the this function, you can export your music files tag information to xls, csv and html formats and then print it or import it into any database.

Also you can import tags information from xls files, i.e. you can export tags data to xls, then edit this files in MS or Open Office and import edited tags data back to music files.

To use Export function:

Export options.

  1. Select the files you want to export.
  2. Click Export/Import tags.
  3. Choose Export tab and select export format and file name.
  4. Click the Go button.

To use Import function:

Import options.

  1. Click Export/Import tags.
  2. Choose Import tab and select previously exported xls file.
  3. Select Import options.
  4. Click the Go button.


ID3v2 tags tips

Tag&Rename provides full support for ID3v2 tags including support for ID3v2.2, ID3v2.3 and ID3v2.4 (ANSI, Unicode and Unicode UTF8 encoded tags). Tag&Rename always writes ID3v2.3 tags because of compatibility with other software and hardware.

ID3v2 tags benefits over ID3v1:

  • No string-length limitations
  • Ability to add custom Genre fields
  • Cover art
  • Ability to save Unicode information into ID3v2 tags (see Program options -> Tags)
  • Select the files you want to export.

Note: ID3v2 tags are stored in the beginning of the mp3 file. This is why it takes more time to write it the first time. (Tag&Rename needs to move all the file data.)

For more information about ID3v2 tags go to: http://www.id3.org/


Tag&Rename tool bar

The following functions can be located on the toolbar. When you place your mouse pointer on a menu command, the status bar at the bottom of Tag&Rename displays a description of what that command does.

Note: you can cofigurate Tag&Rename toolbar to your needs by using Castomize Toolbar function from program main menu -> Options.

Tag&Rename main toolbars.

Select all files – selects all files in the files list

Select none – selects no files in the files list

Invert selection – inverts the selection of files in the fileslist

Select highlighted files – selects all highlighted files in the files list (work only when Use check boxes to select files is enabled)

Deselect highlighted files – selects no highlighted files in the files list (work only when Use check boxes to select files is enabled)

Refresh – refreshes the Tag&Rename file list

Find... – opens a standard find dialog to search for files in which tag information or the file name contains text you specify

Search subfolders – searches subfolders for music files (in the file list, you will see the folder structure)

Flat file list - the program file list shows only files and hides the actual folders structure

Expand all folders – expands all folders in the file list (only enabled when folders exist in the file list)

Collapse all folders – collapses all folders in file list (only enabled when folders exist in the file list)

Edit file tag – edit a tag in a file focused in the program file list

Edit file name – change a file name manually in the Edit file name pop-up window. Tag&Rename automatically adds the extension to the file name

Rename current folder – rename the current folder in the Folder rename pop-up window according to a file tag within the directory

Tip: Rename current folder is handy if you have a full music album in a folder and the tags already include the artist and album information.

Play file – plays a music file on your default music player

Play selected files – generates a temporary playlist from selected files and plays it on your default music player

Move file down – move a file down in files list

Move file up – move a file up in files list

Save selected files to "*.m3u" playlist – name and save the playlist of selected files to the directory of your choice

Quick save playlist (selected files) - save the playlist of selected files (no naming option provided)

Save all files to "*.m3u" playlist – name and save the playlist of all files to the directory of your choice

Quick save playlist (all files) - save the playlist of all files (no naming option provided)

Tip for Quick save playlist options: Tag&Rename can save playlists to the current directory with a default file name of the artist and album using the highlighted or first such item within the directory music file tag information.

Select the Configuration option to change the default settings of the playlist name (artist & album) for all or selected files. For more information see the Playlists topic in Customize Tag&Rename.

Delete files – delete selected files. Tag&Rename sends the files to the Recycle Bin. Use the Restore feature of the Recycle Bin if you accidentally delete files

Options – see Customize Tag&Rename section

Get album titles from freedb – see How to get songs information using freedb section

Get album titles from the Web – see How to get album information from the Web section

Tags synchronization wizard – see Tags synchronization wizard section

Export wizard – see Export wizard section

Copy tag – copies a tag from a highlighted file so you can paste it into another file or group of files

Paste tag – paste a tag into a highlighted file

Paste tag to all selected files – paste a tag to all selected (checked) files

View help – view the Tag&Rename help file

About Tag&Rename – view the About box

Format track numbers to x.

Format track numbers to 0x.

Format track numbers to 00x.

Format track numbers to xx/xx.

Format track numbers to xx.

Auto fill track numbers.


Using filters

By using filters, you can show/hide files in the Tag&Rename file list according to its tag contents. To show the filter toolbar, select Filters in the Tag&Rename main menu. Then select View -> Toolbars. You can filter files by file name and all tag frames information.

Filters toolbar.

To filter files, select the field you want to Filter by from the list ("Title" in the example), enter text to find ("b*" to find all titles starting with "b") and click the Filter! button. This will hide all files which don't comply with the filter condition. To show all the hidden (filtered) files, click the Show All button.

Here is some filter usage examples:

b* - find all titles starting with "b"

*text* - find all titles containing "text"

*text - find all texts ending with "text"

Result of filters usage.


Using rename actions

With rename actions you can rename music files and it folder in one mouse click. At first you need to create new rename action by clicking Manage Actions button in Rename Actions toolbar. After this you will see Manage Actions window:

Manage Actions window.

Press Add Action button to add new action. Select this action and set Action name, File name mask and Folder name mask in it (if you only want to rename files, you don’t need to check and set Folder name mask).

Note: in rename actions masks you can’t create sub-folders while renaming, i.e. you can’t use "\" in rename masks.

Manage Actions window with one action.

In Manage Actions window you can add as many actions as you need. Press OK button after you added all actions. After this, you will see buttons in Rename Actions toolbar corresponding to every created action:

Rename Actions toolbar with button Main corresponding to "Main" Action.

To run an action you need to select files in Tag&Rename file list and press action button in Rename Actions toolbar:

Main window with files selected in files list before we press Main action button.

Main window after we press Main action button (both files and folder renamed according to action settings).

Actions can be also applied to multiple folders. Here is an example:

Before Main action applied.

After Main action applied (all selected files and folders renamed).

Actions also can be used in freedb.org and Web import: you can set what action must be applied to album files after album data will be written to files tags.


Program file list

In the examples below, you can see additional information about the Tag&Rename file list:

Tag&Rename file list with Use check boxes to select files option disabled.

Tag&Rename file list with Use check boxes to select files option enabled.

All Tag&Rename file list features can be controlled in the File list and File list columns.


Mask editor

Use the Mask Editor to easily create, preview and manage file and folder name masks. Click the Mask Editor button to the right of the File name mask box:

Mask Editor button.

Tip: You can sort saved masks in the Mask Editor by pressing Alt and using the Up or Down keys.

Tag&Rename Mask Editor.


Notes about Unicode support

Tag&Rename fully supports Unicode (tags, file names, drag and drop, etc.).

All tag standards except ID3v1, ID3v2 and APEv1 always save data in Unicode. ID3v1 and APEv1 tags don't support Unicode at all. ID3v2 tags can optionally save Unicode data.

If you have problems with saving Unicode data into mp3 (ID3v2 tags) files, please check the Always save ID3v2 tags in Unicode option. This option must be checked to save this way.

Tag&Rename Tags options.

If you can't see Unicode data in the Tag&Rename file list, then be sure that the font currently being used by Tag&Rename supports Unicode data. You may need to change the Tag&Rename font in Program Options -> General.

Tag&Rename General options.


Tag&Rename keyboard shortcuts

Main window shortcuts
F1 | Program help
F2 | Edit file or folder name
F4 | Switch to rename files mode
Ctrl+F4 | Switch to multi file tag editor
Shift+F4 | Switch to get tag from file name mode
F5 | Edit file tag
Ctrl+F5 | Edit file tag in selected files
F7 | Rename current folder
F8 | Show/hide options bar
Ctrl + F8 | Show/hide folders tree
F9 | Get album titles from freedb
F10 | Get album titles from the Web
F11 | Start Tags Synchronization Wizard
F12 | Start Export Wizard
Ctrl + A | Select all files in file list
Ctrl + N | Select no files in file list
Ctrl + I | Invert files selection
Ctrl + Alt + A | Select all highlighted files in file list (only if Use check boxes to select files option enabled)
Ctrl + Alt + N | Unselect highlighted files in file list (only if Use check boxes to select files option enabled)
Ctrl + O | Open new folder
Ctrl + Alt + R | Refresh folders tree
Ctrl + R | Refresh file list
Ctrl + F | Search text in file list
Ctrl + P | Play current file
Ctrl + S | Play selected files
Ctrl + T | Auto Fill Track #
Del | Delete file(s)/folder(s)
Shift + Ctrl + C | Copy tag from current file to clipboard
Shift + Ctrl + V | Paste tag to current file from clipboard
Ctrl + Alt + V | Paste tag to selected files from clipboard
Ctrl + Alt + S | Quick save selected files into playlist
Ctrl + Alt + Q | Quick save all files into playlist
Ctrl + Alt + O | Show program options dialog
gray + | Select all files in file list
gray - | Select no files in file list
gray * | Invert files selection
Alt + 0 | Switch to All mode
Alt + 2 | Switch to ID3v2 mode
Alt + 3 | Switch to Wma mode
Alt + 4 | Switch to Ogg/Flac mode
Alt + 5 | Switch to Mp4/M4a mode
Alt + 6 | Switch to APEv2 mode

File list shortcuts with highlighted folder
Shift + Ins | Select all files in current folder (only if Use check boxes to select files option enabled)
Ctrl + Ins | Select no files in current folder (only if Use check boxes to select files option enabled)
Ctrl + Alt + F | Open highlighted folder in file list
Ctrl + Alt + P | Play files from highlighted folder
Ctrl + F9 | Get album titles from freedb for files in highlighted folder
Ctrl + F10 | Get album titles from the Web for files in highlighted folder

File list shortcuts with highlighted file
Del | Delete file
Alt + Up | Move file up
Alt + Down | Move file down
Enter | Edit file tag
Space | Select current file (only if Use check boxes to select files option enabled)
Insert | Select file and insert next one (only if Use check boxes to select files option enabled)
Ctrl + Alt + W | Play current file in Winamp (Winamp2.x should be running)
Ctrl + Alt + Y | Add current file to Winamp play list (Winamp2.x should be running)


General

System options:

  • Integrate Tag&Rename into shell - determines whether the Tag&Rename Explorer context menu is enabled or not.
  • Don't close tag editor window on error - if Tag&Rename can't update a file tag, it will show an error message and won't close the editor window so you can try to save changes again.
  • Don't change file timestamp on saving tags - enable this option if you don't want to change the modified file’s timestamp while editing tags.
  • Don't rename file if file with this name already exists - if this option enabled - Tag&Rename will not rename music file if file with this name already exists. When option disabled, file will be renamed with the count number added to it's file name, i.e. File.mp3 will become File (1).mp3.
  • Check for Tag&Rename updates automatically - Tag&Rename will inform you when a new version has been released.
  • Also check for beta versions - with this option enabled you will also get info about new beta releases.
  • Capitalize options - specify symbols after which the program capitalizes the next letter, when the capitalize function is activated. To set up a default symbols string, click the Set default button.
  • Interface font - set the Tag&Rename interface font here (see also Unicode notes).
  • Override OS font size - on some systems with big screen fonts enabled, Tag&Rename interface may looks incorrectly, if this happend, you can check this option.

Default start folder:

Specify whether Tag&Rename should open the last-accessed folder or some other fixed folder when the program starts.


File List

Files selection:

  • Autoselect files when its folder selected - if this option enabled and Tag&Rename file list have folders in it, then folder selection will automatically select all files and folders in it.
  • Use check boxes to select files - when this option is disabled, file selection in the Tag&Rename file list works like in most programs: highlighted files = selected files. When this option is enabled, Tag&Rename shows checkboxes near file/folder names, and only checked files are selected.

After open new folder:

Specify what Tag&Rename should do after it opens a folder.

  • Auto expand all folders - check this box if you want Tag&Rename to expand all subfolders in the playlist.
  • Files selection - specify which files will be automatically selected after a folder is opened.

View:

  • Use colors - check this option to see a colored file list. (Remember to select colors that you like)
  • Show lines - enable/disable lines in file list. (Lines give the list a table-like appearance)
  • Color files with low bitrate - check this box to see colored files with a low bitrate.
  • Show ID3v1 tag is not present indicator - show small red circle near file without ID3v1 tag (for mp3 and ape files only).
  • Hide files extension - hide music files extension in program files list, it is more easy to in place edit file names in files list with this option enabled.


File List Columns

Columns – Specify which informational columns Tag&Rename shows in file list. Check the column(s) that you would like to be visible.


Players

If you don't want to use your default music player when playing files from Tag&Rename, you can change the default to a different player by clicking the button with the gray folder and browsing for the new player in the pop-up window. When you have located the player, double-click it and then click Open. The Winamp field is used to play mp3s from the Winamp control toolbar.

You will then see the directory path of your new player in the field next to the appropriate player. If you want to resume using your default player, simply clear the player field data.


Web Import

Freedb connection settings:

  • Freedb server - host address of the freedb server.
  • Get servers list - click this button to get a valid list of freedb servers.
  • Your e-mail - you must fill in your e-mail address to use freedb.

Web import:

File name options for cover art and review that you can save when importing information from Amazon/Discogs.

Proxy server:

If you are using a proxy server for your Internet connection, select its settings here.

Miscellaneous:

  • Save track information from the Web in xx/xx format - adds the total songs number to the tag track number field while importing.
  • Copy "Artist" data into "Album Artist" tag field while importing - this option is strongly recommended if you are using Windows Media Player or Windows Media Center Edition because of the widespread use of the Album Artist field in its Media Library.
  • Cover art search URL - web cover art search URL used in Tag Editor/Multi Files Tag Editor windows, possible variables that can be used in it is: %1 - Artist, %2 - Album and %3 - Year.


Playlists

Options:

  • Default playlist name - default file name that appears in the "Save files to playlist" dialog box when using the "save all" or "save selected" files to playlist commands.
  • Add EXTINF information into playlist - check to create extended m3u playlists (if you use Winamp or other player that supports EXTINF).
  • Save full file path into playlist

Quick save playlist:

  • "Selected" and "all" playlist name - select and type in a name for the playlist Quick save options. You may use any text and/or variables listed at the bottom of the window.
  • Playlist folder - specify a folder where Tag&Rename will save all your playlists.
  • Show save message - see the "Play list saved" confirmation pop-up window each time you do a Quick save playlist.


File Rename Strings

Word replacements:

Specify the words or letters that will be automatically replaced during file renaming.

Note: The Word replacements function is not case-sensitive.

Always keep case of these words:

Fill this table with words whose case must remain as you specify here.

Note: This option works only if you use Case in the Capitalize First Letter or Capitalize first word mode.


Tags

Tags options:

  • Always copy "Artist" data into "Album Artist" tag field - when saving tags, Album Artist field will be always set to Artist field data.
  • Copy "Artist" data into "Album Artist" tag field if it is clear - if Album Artist field is blank, it will filled with Artist field data when tag will be saved.
  • Set "Album Artist" to "Various Artists" when "Part of a compilation" checked
  • Rewrite file if it tag padding size is more than the maximum limit - most tags have padding (a free space inside tag), so programs don't need to rewrite all music fille while editing tag, when this option enabled, Tag&Rename may rewrite music file while saving tag to reduce file size.

      • ID3v2 tags options:

      • Always save ID3v2 tags in Unicode - by default Tag&Rename save ID3v2 tag in ANSI if it din't contain Unicode simbols and in Unicode if it have it's, this option force Tag&Rename to save ID3v2 tags always in Unicode.
      • Save ID3v2 tags in ASCII even if it is contain Unicode - force Tag&Rename to save all ID3v2 tags in ASCII.

          • Tags cover art resizing:

          • Resize big cover art when adding it to tags - with this option enabled, Tag&Rename will always resize cover art in file when saving it from tag editor, web import and so on if it is bigger than Maximum dimension option.
          • Maximum dimension - maximum horizontal or vertical dimension of cover art that will not resized.
          • Jpeg quality - if Tag&Rename resize cover art in jpeg format, it will set this jpeg quality when compressing image.
          • Convert files cover art to jpeg - files will be converted to jpeg when this option enabled and only if cover dimension is bigger than Maximum dimension.


Advanced

User interface:

  • On program exit, save tag editor "Comment" and "Encoded by" fields - save these fields upon exiting Tag&Rename.
  • Save "Tag Editor" focused field on "Save and Next" – When enabled, if you edit a file tag and click the Save and next button, Tag&Rename will show the tag of the next file and place the cursor in the last edited field. Otherwise, the cursor will be placed in the Title field.
  • DJ style tag editor window – Exchange "URL" and "Encoded by" with "Label" and "Remixed by" in editor’s first tab.
  • Exchange "Copyright" with "Album Artist" tag fields in tag editor
  • Show file list tree lines
  • Full row select in files list
  • Always reset check boxes in album web import window
  • Always reset check boxes in multi files tag editor window
  • Show first existing image in "Folder cover art" if folder.jpg does not exists
  • Show icons instead of text in Comment files list column
  • Show icons instead of text in Lyrics files list column
  • Show warning message about files with names longer than 259 characters

Tags:

  • Mark cover art as "Cover front" in ID3v2 tags
  • Trim Year frame if it is contain timestamp (i.e. yyyy-MM-ddTHH:mm:ss) instead of year
  • Allow to add ID3 tags to .mpg files - some software don't support ID3v2 tags in .mpg files, so be sure that your soft support this before enabling this option.
  • Map APE/OGG "Label" tag frame to "LABEL" instead of "ORGANIZATION"
  • Map APE/OGG "Album Artist" tag frame to "ALBUMARTIST" instead of "ALBUM ARTIST"
  • Save Vorbis Comments Track and Disc total numbers to "TRACKTOTAL" and "DISCTOTAL" frames - by default Tag&Rename save track and disc into one frame in format "number/total number".
  • Use new cover art standard for ogg/speex files
  • Save ID3 tag chunk as a last chunk in a Wav file - you can try to use this option when other software can't see LIST INFO wave chunk in wav files edited by Tag&Rename
  • Delete ID3v1 tag when deleting ID3v2 tag – Automatically delete ID3v1 tag on ID3v2 tag deletion.
  • On saving ID3v2 tag – Select what to do with ID3v1 tag while saving changes to ID3v2 tag.
  • On saving APE tag – Select what to do with ID3v1 tag while saving changes to APE tag.
  • On saving WAV tag – Select what to do with LIST INFO wave chunk while saving changes to WAV tag.
  • On saving MP4 tag – Select what to do with Xtra atom while saving changes to MP4 tag. Xtra atom in mp4 files used by Windows Explorer and Windows Media Player to store some tag data like rating.
  • Don't update comment field when auto updating ID3v1 tags – Don't update an ID3v1 comment field when Auto updating an ID3v1 tag after changing an ID3v2 or APE tag.

Playlists:

  • Save playlists in .m3u8 (UTF8 encoded format) – Save all playlists in .m3u8 format instead of .m3u format.

Quick save playlist:

  • Case – Setup playlist name case options.
  • Replace spaces by underscores – Select to generate playlist names like Artist_-_Album.m3u

Misc:

  • Save path when adding cover art in Tag Editor –by default, Tag&Rename open music file folder when you try to add cover art to file in tag editor, when this option enabled, Tag&Rename will open folder where select previous cover art file.

Amazon AWS:

  • Use my own Amazon AWS Keys – enable this if you have your own Amazon AWS account and want that Tag&Rename use your associate id and AWS keys when load album information from Amazon.
  • Associate Tag, AWS Access Key Id, AWS Secret Access Key: – fill this fields with your correct information.


License and warranty

License agreement:

You should carefully read the following terms and conditions before using this software.

Registered version:

One registered copy of Tag&Rename may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both.

Evaluation and registration:

This is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30-day evaluation period a registration fee of $29.95 is required. When payment is received you will be sent an unlock key for the latest version of Tag&Rename.

Unregistered use of Tag&Rename after the 30-day evaluation period is in violation of U.S. and international copyright laws.

Disclaimer of warranty:

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.

Distribution of evaluation version:

Provided that you verify that you are distributing the evaluation version (select About from the Tag&Rename main menu to verify), you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.


Order Tag&Rename

Trial versions of Tag&Rename have limitations: a nag screen and 30-day trial period.

If you decide to keep Tag&Rename thereafter, you must register and pay the registration fee of $29.95. Registration benefits are no nag screen at startup, FREE upgrades to all new 3.x versions, and product notification by e-mail.

How to order:

You can order your copy of Tag&Rename for only $29.95 using one of the following:

  1. Through the World Wide Web. This is the fastest and easiest way. For details on ordering Tag&Rename through the Web, please go to the Tag&Rename register page at: http://www.softpointer.com/tr_purchase.htm and follow the link "Order the Fully Licensed version of Tag&Rename". After completing the order, you will receive registration information immediately.
  2. If you don't have convenient Web access, you may order Tag&Rename by fax (also using a credit card) or phone (toll-free). In addition, you can use cheque or money order. The order form, fax and phone numbers, and mailing address are in the file "OrderForm.txt" included with Tag&Rename.

Upon payment approval (usually one or two business days), we will send you the registration key which will remove all limitations of the unregistered version such as nag screens and 30-day trial period. Your registration will be valid for all future 3.x versions of Tag&Rename.

Important: When filling out the order form, please double-check that your e-mail address is correct. If it is not, we will be unable to send you the registration code.


Tag&Rename FAQ

Functionality

Is it possible to add a graphics file to more then one file?

Yes. You need to select this files in Tag&Rename file list (according to Use easy files selection option settings) and run "Edit all supported tag fields" in Tag&Rename main menu -> "File" - in opened window you can change any tag frame (including cover) in all selected files files.

Can Tag&Rename tag files (Artist, Album, Title) based on the file path? For example I have the following folders structure: <ARTIST>\<ALBUM>\<Track # - Title>.

Yes, you can do this, for your example (<ARTIST>\<ALBUM>\<Track # – Title>) you need to use this file name mask: %1\%3\%6-%2

Can I change the case of the music files extension (uppercase or lower case) while renaming files?

Yes, just add these extensions (.mp3 .ogg etc) to Always keep case of these words table in "Program options" -> "File Rename Strings".

In Windows Media Player there is a tag called "Album Artist". This tag is very vital when you are using Windows Media Center. You can set the tag in WMP but I cannot find it in Tag&Rename.

You can find this tag field in Tag&Rename tag editor window "Additional" tab. Also see Copy "Artist" data into "Album Artist" tag field while importing option in "Program options" -> "Web Import" and Always copy "Artist" data into "Album Artist" tag field in "Program Options" -> "Tags".

Can I convert ID3v2 tags in my files to Unicode with Tag&Rename?

Yes. There is an option in "Program options" -> "Tags" -> Always save ID3v2 tags in Unicode. To convert existent tags to Unicode or to plain text you need to select this files in Tag&Rename file list and press "Save Tags" button in "Multi files tag editor" tab with all it check boxes unchecked - this will re save tags without changing its data according to Always save ID3v2 tags in Unicode and Save ID3v2 tags in ASCII even if it is contain Unicode options settings.

Why I can not submit cd information to freedb in Tag&Rename?

Since Tag&Rename load freedb information without an original cd it calculate freedb disc id from music files, calculated id is only near result which is enough for find album info but for submission you need to have original audio cd, so I suggest that you use software audio cd players or cd rippers for freedb submissions.

I would like to see a separate function to add, delete, and change the Genre records contained in your pull down list.

It is already exists: Tag&Rename main menu -> "Options" -> "Genre List Editor".

How I can move all Tag&Rename settings to different Windows system?

All Tag&Rename settings stored in system registry:
HKEY_CURRENT_USER\Software\Softpointer
you can export/import this key in Regedit.

What is portable mode?

In portable mode Tag&Rename store all settings in it folder and don't use system registry. So you can run portable Tag&Rename from flash drive on different computers without installing it.

Where is ID3v1 tag editor?

Direct ID3v1 tags support was removed. ID3v1 related options was added in program options -> "Advanced" -> "Tags". You can set Always create/update ID3v1 tag, than on every edit/re-save ID3v2 tag, ID3v1 tags will also updated.

Problems

I run Tag&Rename but none of the "Tools" program features are functioning (its all grayed). How to enable its?

You need to select files (according to Use easy files selection option settings) in Tag&Rename file list on which you want to do some "Tools" operation at first - as soon as you do this all this functions will be enabled automatically.

I can't clear or change Album Artist tag field in Tag&Rename - it is always revert to Artist name or "Various Artists".

Most likely you have enabled Copy "Artist" data into "Album Artist" tag field if it is clear option in Tag&Rename options -> "Tags".

A lot of major players like Windows Media Player, iTunes use Album Artist field to sort music library by albums. So it is highly recommended to have this tag frame filled correctly. Normally if this is not a compilation than Album Artist is the same as Artist and for compilation albums it can be set to "Various Artists" (there is an option Set "Album Artist" to "Various Artists" when "Part of a compilation" checked).

Tag&Rename locking or work very slow with my music files located on network.

I suggest that you map network drive from your network folder with music:
http://windows.microsoft.com/en-us/windows/create-shortcut-map-network-drive
and then access this files in Tag&Rename from this mapped drive letter, in most cases this is fix this problem.

I change tags in my mp3/m4a files using Tag&Rename but it seems that iTunes don't support this changes - in iTunes I still see old information.

iTunes have its own database and look into file tag only when you add it to iTunes and when you play this file, so it will update tag changes while playing or you can do the following:
In iTunes main menu go to File -> Add to Library and then pick the location of your music library (i.e. the "iTunes" folder), iTunes will not create duplicates of your files - it will simple re-read all it tags data and update changes in it library.

Why is it that when I change the MP3 tags, they don't change in Windows Media Player?

You need to update Media Player's "Media Library":
1. Go to Media Player main menu -> "Tools" -> "Search for media files...".
2. In search options select folder with your music files and "Never files and all existing files in library".
3. Press "Search" button.

I renamed some songs in Tag&Rename but its change their name back after a few minutes of playing them through my media player. How I can keep the new names for these files?

Most likely you files were renamed by your media player.
For Windows Media Player than you need to do this: go to Media Player main menu -> "Tools" -> "Options" -> "Media Library" -> "Automatic media information updates for files" -> "Rename and rearrange music using media information" check box - uncheck it if it checked.
For iTunes: go to main menu -> "Edit" -> "Preferences" -> "Advanced" -> "Keep iTunes music folder organized" check box - uncheck it if it checked.

When I try to use amazon, discogs or freedb I get the following message: "Cannot resolve host, error 2". It happens even when I'm online. What can I do?

There may be two reasons:
1. If you are using firewall software be sure that it allow Tag&Rename to go to Internet.
2. If you are using a proxy server you may need to setup it in "Program options" -> "Web import" -> Proxy server.

When I try to save tags in WAV or AIFF files Tag&Rename show "File have incorrect "data" wave chunk" or "invalid chunk size in file" error message, what is this error means?

This error means that most likely this file some how lost part of it music data, because data size stored in it's header is bigger than actual file size. You can open it in some wave editor like Audacity and re-save it to fix this.

I have wav files that show they are tagged within Tag&rename but some tag fields like Album Artist, BPM, etc. don't show in Windows Explorer.

There is two standards of wave tagging:
LIST INFO wav chunk: old and very limited in features (only few basic fields, no unicode, etc.), but it is used by Windows, Windows Media Player, Explorer and some other applications.
ID3v2.3 tag in 'id3 ' RIFF chunk: support most tag fields because it use ID3v2.3, this standard now used by many programs.
By default Tag&Rename write both tags to wav file (it prefer information from 'id3 ' RIFF chunk but while editing tag it is also create/update LIST INFO chunk).
LIST INFO wav chunk tag used by Windows simple don't have Album Artist and BPM field.
So if you want to create tags in wave files with many fields including cover art that will be viewable on any Windows system in Explorer,than this is impossible because Windows don't support this.
If you need to view wav tags created in Tag&Rename (or any other application that support id3 wave chunk) in Explorer in your Windows system, you can install AudioShell - it is a Shell Extension which add music files tag support into Windows.

I have more than 100,000 mp3 files to fix and have this issues: When I view them all, it literally takes 90-120 minutes just to read them in. After they are read in, selecting and deselecting takes over 30 minutes.

It is not a best way to use Tag&Rename this way.
Tag&Rename always works with real files (it doesn't use any database or cash) so you can always see actual files tag contents and its names. And files operations with thousands files will be always slow.
The best way to fix tags/file names in you library with Tag&Rename is on a folder by folder basis. When you doing a group tag editing, in most cases you need to work only with one album or maybe one artist so there is no reason to open folder with all your library to do this. Another reason not to open all library for editing, is because you can accidentally make some operation with big group of files that cannot be undone (tag editing for example).
If I would start to fix/check so big music library, I would do it this way:
1. Make a copy of library and work with it.
2. Group all albums in some folder structure, like for example
..\Music\Genre\Artist\Year Album\
3. Then check/fix all albums by opening "Artist" folder to work only with few albums at a time.
4. After fixing tag, rename this files and "Year Album" folder. (The best and fastest way to do this, is to setup your rename action for this).
5. After library will be fixed, move it final destination and add it into media player or library.

When I add/remove cover art to files Tag&Rename create .tmp files in music files folder and show error messages that it can't delete its.

Most likely this .tmp files was locked by your antivirus or some files indexing software. When you add cover art to files, Tag&Rename in many cases need to overwrite whole file - to do this it is rename original file to .tmp file, then write new file header, copy music data from .tmp file and delete it. Most antivirus software monitor new files creation and files renaming, start to check this files and lock it. I suggest that you exclude folder where you edit your music files from your antivirus monitoring. Also sometime folder with music files maybe locked by Windows Explorer because it start to reindex files thumbnails and update thumbs.db file.


Technical support

Before you contact us, please do the following:

  • Be sure that you have followed procedures as described. We all make mistakes sometimes. Recheck what you have done or tried.
  • Look at the Help file. It may already contain an answer to your question.
  • Visit the Tag&Rename home page at http://www.softpointer.com/tr.htm. You may find a newer version of Tag&Rename there. If a serious bug has been found in the program, but the new version is not ready yet, we may make a quick fix for it.

If you still have a problem with Tag&Rename, please contact technical support via e-mail at:

tag-rename@softpointer.com

Please provide us with the following:

  • Tag&Rename version (from the "About" menu item dialog)
  • Tag&Rename serial number (if you're a registered user)
  • Windows version (including service packs and other fixes installed)
  • Computer information: CPU type and speed, installed memory
  • Description of your problem (as much information as possible to help us reproduce the problem)